<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy RobotData.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_robot_data_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">RobotData.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_robot_data_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &quot;<a class="code" href="_robot_data_8hpp.html">RobotData.hpp</a>&quot;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="class_robot_data.html#a0007f4b014a950d356d2d63156b572af">   13</a></span><a class="code hl_function" href="class_robot_data.html#a0007f4b014a950d356d2d63156b572af">RobotData::RobotData</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; 4; ++i)</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="class_robot_data.html#a9a1648c46a58e390becfb98d78cbe491">sensors</a>[i] = 0;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; 2; ++i)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="class_robot_data.html#a3b322c493f67b40e3f118bddf4e0137c">ktir_counters</a>[i] = 0;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; 2; ++i)</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="class_robot_data.html#a93a9102961e0701b95e642ed3b2165e9">motors_velocity</a>[i] = 0;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>}</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="ttc" id="a_robot_data_8hpp_html"><div class="ttname"><a href="_robot_data_8hpp.html">RobotData.hpp</a></div><div class="ttdoc">Definicja klasy RobotData.</div></div>
<div class="ttc" id="aclass_robot_data_html_a0007f4b014a950d356d2d63156b572af"><div class="ttname"><a href="class_robot_data.html#a0007f4b014a950d356d2d63156b572af">RobotData::RobotData</a></div><div class="ttdeci">RobotData()</div><div class="ttdoc">Inicjalizuje obiekt RobotData.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8cpp_source.html#l00013">RobotData.cpp:13</a></div></div>
<div class="ttc" id="aclass_robot_data_html_a3b322c493f67b40e3f118bddf4e0137c"><div class="ttname"><a href="class_robot_data.html#a3b322c493f67b40e3f118bddf4e0137c">RobotData::ktir_counters</a></div><div class="ttdeci">unsigned int ktir_counters[2]</div><div class="ttdoc">Tablica z odczytami transoptorów odbiciowych.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00029">RobotData.hpp:29</a></div></div>
<div class="ttc" id="aclass_robot_data_html_a93a9102961e0701b95e642ed3b2165e9"><div class="ttname"><a href="class_robot_data.html#a93a9102961e0701b95e642ed3b2165e9">RobotData::motors_velocity</a></div><div class="ttdeci">int motors_velocity[2]</div><div class="ttdoc">Tablica z prędkościami silników (wypełnienie sygnału PWM)</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00033">RobotData.hpp:33</a></div></div>
<div class="ttc" id="aclass_robot_data_html_a9a1648c46a58e390becfb98d78cbe491"><div class="ttname"><a href="class_robot_data.html#a9a1648c46a58e390becfb98d78cbe491">RobotData::sensors</a></div><div class="ttdeci">unsigned int sensors[4]</div><div class="ttdoc">Tablica z odczytami z czujników odległości.</div><div class="ttdef"><b>Definition</b> <a href="_robot_data_8hpp_source.html#l00025">RobotData.hpp:25</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_robot_data_8cpp.html">RobotData.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
